      SUBROUTINE EPSODE(F,JF,N,H,Y,T,TOUT,AERR,RERR,NSTEPS,MO,IND,WK,PW)
C     ******************************************************************
C     ORDINARY STIFF DIFFERENTIAL EQUATION SOLVER
C     ******************************************************************
C     IF MO = 0 THEN JF IS NOT USED. OTHERWISE JF IS THE JACOBIAN OF F.
C     -----------------------
C     THE PROCEDURE EMPLOYS A MACHINE DEPENDENT PARAMETER NAMED UROUND.
C     UROUND IS DEFINED IN THE SUBROUTINE DRIVE.
C     -----------------------
C     DIMENSION Y(N),WK(11*N),PW(N*N)
C     -----------------------
      DIMENSION Y(1),WK(1),PW(1)
      EXTERNAL F,JF
      COMMON /XXXEPS/I1,I2,I3,I4,I5,I6
      IF (IND.NE.1) GO TO 10
      I2=1
      I3=N+1
      I4=N+I3
      I5=N+I4
      I6=N+I5
      I1=N+I6
   10 MF=22
      IF (MO.NE.0) MF=21
      CALL DRIVE(N,T,H,Y,TOUT,AERR,RERR,NSTEPS,MF,IND,WK(I1),WK(I2),
     1             WK(I3),WK(I4),WK(I5),PW,WK(I6),F,JF)
      RETURN
      END
